summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2012-07-30 00:53:04 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-07-30 00:53:04 -0500
commita77891b22da1990072964ac40651f659faf4eaae (patch)
tree3c12470faaccb5ef0d29a82be4bdc4ccdb930f50 /desktop
parent7909f3226466d51fea0f7987597e7bf0b20f3742 (diff)
downloadslackbuilds-a77891b22da1990072964ac40651f659faf4eaae.tar.gz
slackbuilds-a77891b22da1990072964ac40651f659faf4eaae.tar.xz
desktop/wmphoto+: Added (image viewing dockapp for windowmaker)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wmphoto+/README8
-rw-r--r--desktop/wmphoto+/slack-desc19
-rw-r--r--desktop/wmphoto+/wmphoto+.SlackBuild74
-rw-r--r--desktop/wmphoto+/wmphoto+.info10
4 files changed, 111 insertions, 0 deletions
diff --git a/desktop/wmphoto+/README b/desktop/wmphoto+/README
new file mode 100644
index 0000000000..763b3bfab1
--- /dev/null
+++ b/desktop/wmphoto+/README
@@ -0,0 +1,8 @@
+wmphoto+ is Window Maker showing images dockable application
+
+wmphoto+ displays the images in the dockable application window.
+You can switch the images manually or display them as a slide show.
+Each image accepts up to two related commands. You can run them
+using mouse buttons when the application displays the image. Using
+the alternative configuration directories you can run a few instances
+of the program which display the different sets of the images.
diff --git a/desktop/wmphoto+/slack-desc b/desktop/wmphoto+/slack-desc
new file mode 100644
index 0000000000..73ab441422
--- /dev/null
+++ b/desktop/wmphoto+/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmphoto+: wmphoto+ (image viewing dockapp for windowmaker)
+wmphoto+:
+wmphoto+: wmphoto+ displays the images in the dockable application window.
+wmphoto+: You can switch the images manually or display them as a slide show.
+wmphoto+: Each image accepts up to two related commands. You can run them
+wmphoto+: using mouse buttons when the application displays the image. Using
+wmphoto+: the alternative configuration directories you can run a few instances
+wmphoto+: of the program which display the different sets of the images.
+wmphoto+:
+wmphoto+:
+wmphoto+:
diff --git a/desktop/wmphoto+/wmphoto+.SlackBuild b/desktop/wmphoto+/wmphoto+.SlackBuild
new file mode 100644
index 0000000000..1d4705dcbd
--- /dev/null
+++ b/desktop/wmphoto+/wmphoto+.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for wmphoto+
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmphoto+
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd wmphoto
+ make PREFIX=/usr CCOPTIONS="$SLKCFLAGS"
+ mkdir -p $PKG/usr/bin
+ cp -a wmphoto $PKG/usr/bin
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog README contrib sample* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/wmphoto+/wmphoto+.info b/desktop/wmphoto+/wmphoto+.info
new file mode 100644
index 0000000000..b30146c6c7
--- /dev/null
+++ b/desktop/wmphoto+/wmphoto+.info
@@ -0,0 +1,10 @@
+PRGNAM="wmphoto+"
+VERSION="1.1.0"
+HOMEPAGE="http://linux-bsd-unix.strefa.pl/"
+DOWNLOAD="http://linux-bsd-unix.strefa.pl/wmphoto+-1.1.0.tar.gz"
+MD5SUM="65ea1c176a1ca0646f22ca6a77f01f3a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="rworkman"